List Calls
curl --request GET \
--url https://api.cartesia.ai/agents/calls \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>'import requests
url = "https://api.cartesia.ai/agents/calls"
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Cartesia-Version': '<cartesia-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.cartesia.ai/agents/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"zdr_enabled": true,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"redacted_at": "2023-11-07T05:31:56Z",
"transcript": [
{
"role": "<string>",
"start_timestamp": 123,
"end_timestamp": 123,
"text": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {},
"id": "<string>",
"result": "<string>"
}
],
"stt_ttfb": 123,
"tts_ttfb": 123,
"log_event": {
"event": "<string>",
"metadata": {},
"timestamp": 123
},
"log_metric": {
"name": "<string>",
"value": 123,
"timestamp": 123
}
}
],
"telephony_params": {
"to": "<string>",
"from": "<string>",
"call_sid": "<string>",
"direction": "<string>",
"parameters": {},
"headers": {}
},
"summary": "<string>",
"error_message": "<string>",
"deployment_id": "<string>",
"deployment_version_id": "<string>",
"metadata": {}
}
],
"has_more": true,
"next_page": "<string>"
}Calls
List Calls
GET
/
agents
/
calls
List Calls
Authorizations
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
Headers
API version header.
Available options:
2026-03-01 Example:
"2026-03-01"
Query Parameters
The ID of the agent.
Example:
"agent_abc123"
The fields to expand in the response. Currently, the only supported value is transcript.
(Pagination option)The ID of the call to start after.
(Pagination option) The ID of the call to end before.
(Pagination option) The number of calls to return per page, ranging between 1 and 100.
Was this page helpful?
⌘I